Subject: bug#4533: 23.1: reverting fails to update line ending mode line

From: Chong Yidong <[email-masked]>
Date: Sun, 14 Nov 2010 12:32:45 -0500

Eli Zaretskii <[email-masked]> writes:

> Why is this a real problem?  I can handle this situation with
>
>     C-x RET c undecided RET M-x revert-buffer RET

Sure; you can also kill the buffer and visit the file again with
C-x C-f, making the revert-buffer command redundant.  That's not really
the point.

The fact that revert-buffer correctly changes the coding system if you
do one thing (i.e. visit the file but haven't yet saved), and does
another thing if you do another (i.e. save some changes first) indicates
that this is a real bug.